apiVersion: extensions/v1beta1
kind: DaemonSet
metadata:
  name: __CLIENT__
  namespace: ovpn
  labels:
    app: openvpn-client
spec:
  updateStrategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        name: __CLIENT__
        app: openvpn-client
    spec:
      hostNetwork: true
      initContainers:
      - image: bash
        name: set-rpfilter
        securityContext:
          privileged: true
        command:
        - sh
        - -c 
        - for i in /proc/sys/net/ipv4/conf/*; do echo 2 > $i/rp_filter ;done
      containers:
      - image: kylemanna/openvpn
        command:
        - openvpn
        args:
        - --config
        - /etc/openvpn/ovpn.conf
        name: ovpn
        securityContext:
          privileged: true
        volumeMounts:
        - name: ovpn-conf
          mountPath: /etc/openvpn/ovpn.conf
          subPath: client.conf
      volumes:
      - name: ovpn-conf
        secret:
          secretName: __CLIENT__
